Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.algorithm.distance
Class DiscreteHausdorffDistance.MaxDensifiedByFractionDistanceFilter

    java.lang.Object
      com.vividsolutions.jts.algorithm.distance.DiscreteHausdorffDistance.MaxDensifiedByFractionDistanceFilter

All Implemented Interfaces:
  CoordinateSequenceFilter

Enclosing class:
  DiscreteHausdorffDistance

    public static class DiscreteHausdorffDistance.MaxDensifiedByFractionDistanceFilter

extends java.lang.Object
implements CoordinateSequenceFilter

Constructor Summary
`DiscreteHausdorffDistance.MaxDensifiedByFractionDistanceFilter(Geometry geom, double fraction)`

Method Summary
`void` | `filter(CoordinateSequence seq, int index)` Performs an operation on a coordinate in a `CoordinateSequence`.
`PointPairDistance` | `getMaxPointDistance()`
`boolean` | `isDone()` Reports whether the application of this filter can be terminated.
`boolean` | `isGeometryChanged()` Reports whether the execution of this filter has modified the coordinates of the geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscreteHausdorffDistance.MaxDensifiedByFractionDistanceFilter

    public DiscreteHausdorffDistance.MaxDensifiedByFractionDistanceFilter(Geometry geom,
                                                                          double fraction)

Method Detail

### filter

    public void filter(CoordinateSequence seq,
                       int index)

  Description copied from interface: `CoordinateSequenceFilter`
  Performs an operation on a coordinate in a `CoordinateSequence`.

  Specified by:
    `filter` in interface `CoordinateSequenceFilter`
  Parameters:
    `seq` - the `CoordinateSequence` to which the filter is applied
    `index` - the index of the coordinate to apply the filter to

### isGeometryChanged

    public boolean isGeometryChanged()

  Description copied from interface: `CoordinateSequenceFilter`
  Reports whether the execution of this filter has modified the coordinates of the geometry. If so, `Geometry.geometryChanged()` will be executed after this filter has finished being executed.

  Most filters can simply return a constant value reflecting whether they are able to change the coordinates.

  Specified by:
    `isGeometryChanged` in interface `CoordinateSequenceFilter`
  Returns:
    true if this filter has changed the coordinates of the geometry

### isDone

    public boolean isDone()

  Description copied from interface: `CoordinateSequenceFilter`
  Reports whether the application of this filter can be terminated. Once this method returns `false`, it should continue to return `false` on every subsequent call.

  Specified by:
    `isDone` in interface `CoordinateSequenceFilter`
  Returns:
    true if the application of this filter can be terminated.

### getMaxPointDistance

    public PointPairDistance getMaxPointDistance()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD